Subject: Re: [v6ops] New Version Notification for draft-yourtchenko-ra-dhcpv6-comparison-00.txt (fwd)
From: Nick Hilliard <[email-masked]>
To: Lorenzo Colitti <[email-masked]>, Matthew Petach <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 22 Jan 2014 18:58:15 +0000
List-Id: v6ops discussion list <v6ops.ietf.org>

On 22/01/2014 17:48, Lorenzo Colitti wrote:
> Because making IPv6 look like IPv4 in every way will inevitably mean that
> we'll lose the advantages that IPv6 has over IPv4. I'm not talking about
> "QoS" or "security", which were trumpeted as advantages of IPv6 ten years
> ago. I'm talking about the real advantages, like network statelessness, the
> freedom from on-link address scarcity, dynamic renumbering, etc.

network statelessness may be good on your network, but it's not a good
thing on my networks; apparently not Matt's either.  Nor is it good for the
people who've been pushing for and who now use stateful address
configuration on their v6 networks.

2^64 on-link addresses per configured subnet opens up a crippling DoS
vector with neighbor cache exhaustion, and should be considered an danger
to functional network operation in many production situations.

dynamic renumbering is a fantasy in many configuration scenarios.

> At the end of the day, it's a trade-off. Do you make IPv6 look more
> like IPv4, in the hope that it will get deployed more quickly? Or do we
> stick to the design and accept some temporary migration pain for a
> better end result? I'm for the latter, because this thing's going to be
> with us for thirty years - and because making it IPv6 more like IPv4
> will *not* get IPv6 deployed faster, because that's a business decision,
> not a technical decision.

You've inadvertently put your finger on exactly the problem.

Each network is different and requires different configuration to operate
optimally.  Your and other peoples' continuing efforts to block
standardisation of a DHCPv6 routing option using any means possible -
endless arguments and continuously shouting everyone down - do nothing to
hide the reality that your viewpoint of how ipv6 ought to operate is not
the only valid viewpoint out there.

Going back to what you said above, a "better end result" for your network
is not necessarily the same as for my network.

I do not want to stop you from using RAs and SLAAC if that's what works
well for you.  You are the best judge to know what's good for your networks
and I respect that.

Conversely, I ask you to accept that there are many people - including me -
who hold a considered viewpoint that routing information auto-
configuration using DHCPv6 would be a good fit for our requirements and
that you are not the best judge of what is or is not appropriate for our
networks.

Nick

> 
> Many have said, "Where's the harm? So let's define standards to put routing
> in DHCP. There's no harm in making the semantics compatible with IPv4, as
> long as we maintain the routing in RA compatibility as well". I think these
> people are either underestimating the network effect or the realities of
> operations, "modern corporate IT staffing" (as Owen puts it), and the code
> and process bugs that invariably crop up when you try to do something a
> little different. Using the IPv4-lookalike way will always be the path of
> least resistance, and at the end, there will only be one way to do
> communicate configuration parameters to general-purpose hosts. Everything
> else is simply too operationally expensive.
> 
> In your specific case, I'd argue that - as Ole has said - what you want to
> do should be 100% solved - and with better load-sharing properties than
> your current IPv4 design - by simply having the hosts ECMP to the four
> routers. If your hosts don't support that, then I would see that as an
> excellent use of your "as a multibillion dollar company, we can afford to
> pay for the features we need" cachet.
> 
> Regards,
> Lorenzo
> 
> 
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>